Bug 160599 - [PATCH]editors/scite: fix linking, build with recent versions of gcc, trim patch
Summary: [PATCH]editors/scite: fix linking, build with recent versions of gcc, trim patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-09 21:30 UTC by Brendan Fabeny
Modified: 2011-09-13 12:49 UTC (History)
0 users

See Also:


Attachments
file.diff (2.48 KB, patch)
2011-09-09 21:30 UTC, Brendan Fabeny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brendan Fabeny freebsd_committer 2011-09-09 21:30:11 UTC
--correct link line by respecting {CXX,LD}FLAGS (needed for some flags) and adding shared libraries in proper order, which is desirable when using --as-needed

--add a header inclusion that is necessary to build the port with recent versions of gcc after a refactoring of c++ headers in libstdc++ -- it has include guards, so there should be no penalty for other compilers

--trim patch by removing rather than commenting-out lines (the removed lines are still in the patch body for reference)

No PORTREVISION bump because rebuilds will be enforced by the bump in the related PR ports/160598

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-09-09 21:30:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-09-09 21:30:28 UTC
Maintainer of editors/scite,

Please note that PR ports/160599 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/160599

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-09-09 21:30:32 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Naram Qashat 2011-09-10 15:53:20 UTC
I approve this patch.

Naram Qashat

On 09/09/11 16:30, Edwin Groothuis wrote:
> Maintainer of editors/scite,
>
> Please note that PR ports/160599 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/160599
>
Comment 5 dfilter service freebsd_committer 2011-09-13 12:32:46 UTC
bf          2011-09-13 11:32:32 UTC

  FreeBSD ports repository

  Modified files:
    editors/scite/files  patch-aa 
  Added files:
    editors/scite/files  patch-src__FilePath.h 
  Log:
  Fix linking and builds with recent versions of gcc;
  small clean-up
  
  PR:             160599
  Approved by:    Naram Qashat (maintainer)
  
  Revision  Changes    Path
  1.24      +6 -13     ports/editors/scite/files/patch-aa
  1.1       +10 -0     ports/editors/scite/files/patch-src__FilePath.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Brendan Fabeny freebsd_committer 2011-09-13 12:49:11 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!